cdac.medinfo.sdk.hl7282.baselibs.segments

## Class RXO

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.RXO

- All Implemented Interfaces:
    ISegment

      public class RXO
      extends Segment

  RXO - Pharmacy/Treatment Order Segment.

  RXO is the "master" pharmacy/treatment order segment.It contains order data not specific to components or additives.Unlike the OBR, it does not contain status fields or other data that are results-only.

  Represents an HL7 RXO message segment. This segment has the following fields:

  RXO-1: Requested Give Code (CWE)Conditional
  RXO-2: Requested Give Amount - Minimum (NM)Conditional
  RXO-3: Requested Give Amount - Maximum (NM)Optional
  RXO-4: Requested Give Units (CWE)Optional
  RXO-5: Requested Dosage Form (CWE)Conditional
  RXO-6: Provider's Pharmacy/Treatment Instructions (CWE)Optional
  RXO-7: Provider's Administration Instructions (CWE)Optional
  RXO-8: Deliver-To Location (LA1)Withdrawn
  RXO-9: Allow Substitutions (ID)Optional
  RXO-10: Requested Dispense Code (CWE)Optional
  RXO-11: Requested Dispense Amount (NM)Optional
  RXO-12: Requested Dispense Units (CWE)Optional
  RXO-13: Number Of Refills (NM)Optional
  RXO-14: Ordering Provider's DEA Number (XCN)Backward
  RXO-15: Pharmacist/Treatment Supplier's Verifier ID (XCN)Conditional
  RXO-16: Needs Human Review (ID)Optional
  RXO-17: Requested Give Per (Time Unit) (ST)Conditional
  RXO-18: Requested Give Strength (NM)Optional
  RXO-19: Requested Give Strength Units (CWE)Optional
  RXO-20: Indication (CWE)Optional
  RXO-21: Requested Give Rate Amount (ST)Optional
  RXO-22: Requested Give Rate Units (CWE)Optional
  RXO-23: Total Daily Dose (CQ)Optional
  RXO-24: Supplementary Code (CWE)Optional
  RXO-25: Requested Drug Strength Volume (NM)Optional
  RXO-26: Requested Drug Strength Volume Units (CWE)Optional
  RXO-27: Pharmacy Order Type (ID)Optional
  RXO-28: Dispensing Interval (NM)Optional
  RXO-29: Medication Instance Identifier (EI)Optional
  RXO-30: Segment Instance Identifier (EI)Optional
  RXO-31: Mood Code (CNE)Conditional
  RXO-32: Dispensing Pharmacy (CWE)Backward
  RXO-33: Dispensing Pharmacy Address (XAD)Backward
  RXO-34: Deliver-to Patient Location (PL)Optional
  RXO-35: Deliver-to Address (XAD)Optional
  RXO-36: Pharmacy Phone Number(XTN)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RXO()` Constructs the RXO segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addIndication(CWE objindication)` Add the Indication.
    `void` | `addIndication(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Indication.
    `void` | `addOrderingProviderDEANo(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Ordering Provider DEA No.
    `void` | `addOrderingProviderDEANo(XCN objorderingProviderDEANo)` Add the Ordering Provider DEA No.
    `void` | `addPharmacistTreatmentSupplierVerifierID(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Add the Pharmacist Treatment Supplier Verifier ID.
    `void` | `addPharmacistTreatmentSupplierVerifierID(XCN objpharmacistTreatmentSupplierVerifierID)` Add the Pharmacist Treatment Supplier Verifier ID.
    `void` | `addPharmacyPhoneNumber(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Pharmacy Phone Number.
    `void` | `addPharmacyPhoneNumber(XTN objtempPharmacyPhoneNumber)` Sets the Pharmacy Phone Number.
    `void` | `addProviderPharmacyTreatmentInstructions(CWE objproviderPharmacyTreatmentInstructions)` Add the Provider Pharmacy Treatment Instructions.
    `void` | `addProviderPharmacyTreatmentInstructions(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Provider Pharmacy Treatment Instructions.
    `void` | `addProvidersAdministrationInstructions(CWE objprovidersAdministrationInstructions)` Add the Providers Administration Instructions.
    `void` | `addProvidersAdministrationInstructions(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Providers Administration Instructions.
    `void` | `addSupplementaryCode(CWE objsupplementaryCode)` Add the Supplementary Code.
    `void` | `addSupplementaryCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Supplementary Code.
    `ID` | `getAllowSubstitutions()` Retrieves the Allow Substitutions.
    `XAD` | `getDeliverToAddress()` Retrieves the Deliver-to Address.
    `PL` | `getDeliverToPatientLocation()` Retrieves the Deliver-to Patient Location.
    `NM` | `getDispensingInterval()` Retrieves the Dispensing Interval
    `CWE` | `getDispensingPharmacy()` Retrieves the Dispensing Pharmacy.
    `XAD` | `getDispensingPharmacyAddress()` Retrieves the Dispensing Pharmacy Address.
    `ISingleCollection<CWE>` | `getIndication()` Retrieves the Indication.
    `EI` | `getMedicationInstanceIdentifier()` Retrieves the Medication Instance Identifier This field contains a value that uniquely identifies the medication associated with this segment.
    `CNE` | `getMoodCode()` Retrieves the Mood Code.
    `ID` | `getNeedsHumanReview()` Retrieves the Needs Human Review.
    `NM` | `getNoOfRefills()` Retrieves the No Of Refills.
    `ISingleCollection<XCN>` | `getOrderingProviderDEANo()` Retrieves the Ordering Provider DEA No.
    `ISingleCollection<XCN>` | `getPharmacistTreatmentSupplierVerifierID()` Retrieves the Pharmacist Treatment Supplier Verifier ID.
    `ID` | `getPharmacyOrderType()` Retrieves the Pharmacy Order Type.
    `ISingleCollection<XTN>` | `getPharmacyPhoneNumber()` Retrieves the Pharmacy Phone Number.
    `ISingleCollection<CWE>` | `getProviderPharmacyTreatmentInstructions()` Retrieves the Provider Pharmacy Treatment Instructions.
    `ISingleCollection<CWE>` | `getProvidersAdministrationInstructions()` Retrieves the Providers Administration Instructions.
    `NM` | `getRequestedDispenseAmount()` Retrieves the Requested Dispense Amount.
    `CWE` | `getRequestedDispenseCode()` Retrieves the Requested Dispense Code.
    `CWE` | `getRequestedDispenseUnits()` Retrieves the Requested Dispense Units.
    `CWE` | `getRequestedDosageForm()` Retrieves the Requested Dosage Form.
    `NM` | `getRequestedDrugStrengthVolume()` Retrieves the Requested Drug Strength Volume.
    `CWE` | `getRequestedDrugStrengthVolumeUnits()` Retrieves the Requested Drug Strength Volume Units.
    `NM` | `getRequestedGiveAmt_Max()` Retrieves the Requested Give Amt Max.
    `NM` | `getRequestedGiveAmt_Min()` Retrieves the Requested Give Amt Min.
    `CWE` | `getRequestedGiveCode()` Retrieves the Requested Give Code.
    `ST` | `getRequestedGivePer()` Retrieves the Requested Give Per.
    `ST` | `getRequestedGiveRateAmt()` Retrieves the Requested Give Rate Amt.
    `CWE` | `getRequestedGiveRateUnits()` Retrieves the Requested Give Rate Units.
    `NM` | `getRequestedGiveStrength()` Retrieves the Requested Give Strength.
    `CWE` | `getRequestedGiveStrengthUnits()` Retrieves the Requested Give Strength Units.
    `CWE` | `getRequestedGiveUnits()` Retrieves the Requested Give Units.
    `EI` | `getSegmentInstanceIdentifier()` Retrieves the Segment Instance Identifier This field contains a value that uniquely identifies this segment across time and messages.
    `ISingleCollection<CWE>` | `getSupplementaryCode()` Retrieves the Supplementary Code.
    `CQ` | `getTotalDailyDose()` Retrieves the Total Daily Dose.
    `void` | `setAllowSubstitutions(ID objallowSubstitutions)` Set the Allow Substitutions.
    `void` | `setAllowSubstitutions(java.lang.String strAllowSubstitutions)` Set the Allow Substitutions.
    `void` | `setDeliverToAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Deliver-to Address.
    `void` | `setDeliverToAddress(XAD objDeliverToAddress)` Set the BP Deliver-to Address.
    `void` | `setDeliverToPatientLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, java.lang.String strBuilding, java.lang.String strFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Deliver-to Patient Location.
    `void` | `setDeliverToPatientLocation(PL objbDeliverToPatientLocation)` Set the Deliver-to Patient Location.
    `void` | `setDispensingInterval(NM objdispensingInterval)` Set the Dispensing Interval.
    `void` | `setDispensingInterval(java.lang.String strDispensingInterval)` Set the Dispensing Interval
    `void` | `setDispensingPharmacy(CWE objrequestedGiveUnits)` Set the Dispensing Pharmacy.
    `void` | `setDispensingPharmacy(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Dispensing Pharmacy.
    `void` | `setDispensingPharmacyAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Dispensing Pharmacy Address.
    `void` | `setDispensingPharmacyAddress(XAD objbPIntendedDispenseFromAddress)` Set the Dispensing Pharmacy Address.
    `void` | `setIndication(ISingleCollection<CWE> objindicationList)` Set the Indication.
    `void` | `setMedicationInstanceIdentifier(EI objcpLotNumber)` Set the Medication Instance Identifier This field contains a value that uniquely identifies the medication associated with this segment.
    `void` | `setMedicationInstanceIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Medication Instance Identifier This field contains a value that uniquely identifies the medication associated with this segment.
    `void` | `setMoodCode(CNE objbcBloodGroup)` Set the Mood Code.
    `void` | `setMoodCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionID, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameOfSecondAltenateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Mood Code.
    `void` | `setNeedsHumanReview(ID objneedsHumanReview)` Set the Needs Human Review.
    `void` | `setNeedsHumanReview(java.lang.String strNeedsHumanReview)` Set the Needs Human Review.
    `void` | `setNoOfRefills(NM objnoOfRefills)` Set the No Of Refills.
    `void` | `setNoOfRefills(java.lang.String strNoOfRefills)` Set the No Of Refills.
    `void` | `setOrderingProviderDEANo(ISingleCollection<XCN> objorderingProviderDEANoList)` Set the Ordering Provider DEA No.
    `void` | `setPharmacistTreatmentSupplierVerifierID(ISingleCollection<XCN> objpharmacistTreatmentSupplierVerifierIDList)` Set the Pharmacist Treatment Supplier Verifier ID.
    `void` | `setPharmacyOrderType(ID objpharmacyOrderType)` Set the Pharmacy Order Type.
    `void` | `setPharmacyOrderType(java.lang.String strPharmacyOrderType)` Set the Pharmacy Order Type.
    `void` | `setPharmacyPhoneNumber(ISingleCollection<XTN> objPharmacyPhoneNumber)` Set the Pharmacy Phone Number.
    `void` | `setProviderPharmacyTreatmentInstructions(ISingleCollection<CWE> objproviderPharmacyTreatmentInstructionsList)` Set the Provider Pharmacy Treatment Instructions.
    `void` | `setProvidersAdministrationInstructions(ISingleCollection<CWE> objprovidersAdministrationInstructionsList)` Set the Providers Administration Instructions.
    `void` | `setRequestedDispenseAmount(NM objrequestedDispenseAmount)` Set the Requested Dispense Amount.
    `void` | `setRequestedDispenseAmount(java.lang.String strRequestedDispenseAmount)` Set the Requested Dispense Amount.
    `void` | `setRequestedDispenseCode(CWE objrequestedDispenseCode)` Set the Requested Dispense Code.
    `void` | `setRequestedDispenseCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Requested Dispense Code.
    `void` | `setRequestedDispenseUnits(CWE objrequestedDispenseUnits)` Set the Requested Dispense Units.
    `void` | `setRequestedDispenseUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Requested Dispense Units.
    `void` | `setRequestedDosageForm(CWE objrequestedDosageForm)` Set the Requested Dosage Form.
    `void` | `setRequestedDosageForm(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Requested Dosage Form.
    `void` | `setRequestedDrugStrengthVolume(NM objrequestedDrugStrengthVolume)` Set the Requested Drug Strength Volume.
    `void` | `setRequestedDrugStrengthVolume(java.lang.String strRequestedDrugStrengthVolume)` Set the Requested Drug Strength Volume.
    `void` | `setRequestedDrugStrengthVolumeUnits(CWE objrequestedDrugStrengthVolumeUnits)` Set the Requested Drug Strength Volume Units.
    `void` | `setRequestedDrugStrengthVolumeUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Requested Drug Strength Volume Units.
    `void` | `setRequestedGiveAmt_Max(NM objrequestedGiveAmt_Max)` Set the Requested Give Amt Max.
    `void` | `setRequestedGiveAmt_Max(java.lang.String strRequestedGiveAmt_Max)` Set the Requested Give Amt Max.
    `void` | `setRequestedGiveAmt_Min(NM objrequestedGiveAmt_Min)` Set the Requested Give Amt Min.
    `void` | `setRequestedGiveAmt_Min(java.lang.String strRequestedGiveAmt_Min)` Set the Requested Give Amt Min.
    `void` | `setRequestedGiveCode(CWE objrequestedGiveCode)` Set the Requested Give Code.
    `void` | `setRequestedGiveCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Requested Give Code.
    `void` | `setRequestedGivePer(ST objrequestedGivePer)` Set the Requested Give Per.
    `void` | `setRequestedGivePer(java.lang.String strRequestedGivePer)` Set the Requested Give Per.
    `void` | `setRequestedGiveRateAmt(ST objrequestedGiveRateAmt)` Set the Requested Give Rate Amt.
    `void` | `setRequestedGiveRateAmt(java.lang.String strRequestedGiveRateAmt)` Set the Requested Give Rate Amt.
    `void` | `setRequestedGiveRateUnits(CWE objrequestedGiveRateUnits)` Set the Requested Give Rate Units.
    `void` | `setRequestedGiveRateUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Requested Give Rate Units.
    `void` | `setRequestedGiveStrength(NM objrequestedGiveStrength)` Set the Requested Give Strength.
    `void` | `setRequestedGiveStrength(java.lang.String strRequestedGiveStrength)` Set the Requested Give Strength.
    `void` | `setRequestedGiveStrengthUnits(CWE objrequestedGiveStrengthUnits)` Set the Requested Give Strength Units.
    `void` | `setRequestedGiveStrengthUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Requested Give Strength Units.
    `void` | `setRequestedGiveUnits(CWE objrequestedGiveUnits)` Set the Requested Give Units.
    `void` | `setRequestedGiveUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Requested Give Units.
    `void` | `setSegmentInstanceIdentifier(EI objcpLotNumber)` Set the Medication Instance Identifier This field contains a value that uniquely identifies this segment across time and messages.
    `void` | `setSegmentInstanceIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Set the Segment Instance Identifier This field contains a value that uniquely identifies this segment across time and messages.
    `void` | `setSupplementaryCode(ISingleCollection<CWE> objsupplementaryCodeList)` Set the Supplementary Code.
    `void` | `setTotalDailyDose(CQ objtotalDailyDose)` Set the Total Daily Dose.
    `void` | `setTotalDailyDose(java.lang.String strQuantity, CWE objUnits)` Set the Total Daily Dose.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RXO

          public RXO()

      Constructs the RXO segment.

  - ### Method Detail

    - #### getAllowSubstitutions

          public ID getAllowSubstitutions()

      Retrieves the Allow Substitutions.
      Returns:
        ID - allowSubstitutions

    - #### getDispensingInterval

          public NM getDispensingInterval()

      Retrieves the Dispensing Interval
      Returns:
        NM - dispensingInterval

    - #### getIndication

          public ISingleCollection<CWE> getIndication()

      Retrieves the Indication. This field specify the condition or problem for which the drug/treatment is prescribed.
      Returns:
        ISingleCollection - indication

    - #### getNeedsHumanReview

          public ID getNeedsHumanReview()

      Retrieves the Needs Human Review. This field uses Yes/No Indicator.
      Returns:
        ID - needsHumanReview

    - #### getNoOfRefills

          public NM getNoOfRefills()

      Retrieves the No Of Refills. This field specify the number of times the request dispense amount can be given to the patient, subject to local regulation.
      Returns:
        NM - noOfRefills

    - #### getOrderingProviderDEANo

          public ISingleCollection<XCN> getOrderingProviderDEANo()

      Retrieves the Ordering Provider DEA No.
      Returns:
        ISingleCollection - orderingProviderDEANo

    - #### getPharmacistTreatmentSupplierVerifierID

          public ISingleCollection<XCN> getPharmacistTreatmentSupplierVerifierID()

      Retrieves the Pharmacist Treatment Supplier Verifier ID.
      Returns:
        ISingleCollection - pharmacistTreatmentSupplierVerifierID

    - #### getPharmacyOrderType

          public ID getPharmacyOrderType()

      Retrieves the Pharmacy Order Type. This field specify the general category of pharmacy order which may be used to determine the processing path the order will take.
      Returns:
        ID - pharmacyOrderType

    - #### getProviderPharmacyTreatmentInstructions

          public ISingleCollection<CWE> getProviderPharmacyTreatmentInstructions()

      Retrieves the Provider Pharmacy Treatment Instructions.
      Returns:
        ISingleCollection - providerPharmacyTreatmentInstructions

    - #### getProvidersAdministrationInstructions

          public ISingleCollection<CWE> getProvidersAdministrationInstructions()

      Retrieves the Providers Administration Instructions. This field specify the ordering provider's instructions to the patient or to the provider administering the drug or treatment.
      Returns:
        ISingleCollection - providersAdministrationInstructions

    - #### getRequestedDispenseAmount

          public NM getRequestedDispenseAmount()

      Retrieves the Requested Dispense Amount.
      Returns:
        NM - requestedDispenseAmount

    - #### getRequestedDispenseCode

          public CWE getRequestedDispenseCode()

      Retrieves the Requested Dispense Code.
      Returns:
        CWE - requestedDispenseCode

    - #### getRequestedDispenseUnits

          public CWE getRequestedDispenseUnits()

      Retrieves the Requested Dispense Units.
      Returns:
        CWE - requestedDispenseUnits

    - #### getRequestedDosageForm

          public CWE getRequestedDosageForm()

      Retrieves the Requested Dosage Form.
      Returns:
        CWE - requestedDosageForm

    - #### getRequestedDrugStrengthVolume

          public NM getRequestedDrugStrengthVolume()

      Retrieves the Requested Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Returns:
        NM - requestedDrugStrengthVolume

    - #### getRequestedDrugStrengthVolumeUnits

          public CWE getRequestedDrugStrengthVolumeUnits()

      Retrieves the Requested Drug Strength Volume Units.
      Returns:
        CWE - requestedDrugStrengthVolumeUnits

    - #### getRequestedGiveAmt_Max

          public NM getRequestedGiveAmt_Max()

      Retrieves the Requested Give Amt Max.
      Returns:
        NM - requestedGiveAmt_Max

    - #### getRequestedGiveAmt_Min

          public NM getRequestedGiveAmt_Min()

      Retrieves the Requested Give Amt Min.
      Returns:
        NM - requestedGiveAmt_Min

    - #### getRequestedGiveCode

          public CWE getRequestedGiveCode()

      Retrieves the Requested Give Code. This field specify the treatment product or treatment ordered to be given to the patient
      Returns:
        CWE - requestedGiveCode

    - #### getRequestedGivePer

          public ST getRequestedGivePer()

      Retrieves the Requested Give Per. This field specify the time unit to use to calculate the rate at which the pharmaceutical is to be administered.
      Returns:
        ST - requestedGivePer

    - #### getRequestedGiveRateAmt

          public ST getRequestedGiveRateAmt()

      Retrieves the Requested Give Rate Amt.
      Returns:
        ST - requestedGiveRateAmt

    - #### getRequestedGiveRateUnits

          public CWE getRequestedGiveRateUnits()

      Retrieves the Requested Give Rate Units.
      Returns:
        CWE - requestedGiveRateUnits

    - #### getRequestedGiveStrength

          public NM getRequestedGiveStrength()

      Retrieves the Requested Give Strength.
      Returns:
        NM - requestedGiveStrength

    - #### getRequestedGiveStrengthUnits

          public CWE getRequestedGiveStrengthUnits()

      Retrieves the Requested Give Strength Units.
      Returns:
        CWE - requestedGiveStrengthUnits

    - #### getRequestedGiveUnits

          public CWE getRequestedGiveUnits()

      Retrieves the Requested Give Units.
      Returns:
        CWE - requestedGiveUnits

    - #### getSupplementaryCode

          public ISingleCollection<CWE> getSupplementaryCode()

      Retrieves the Supplementary Code. This field specify that identification of any codes that might be associated with the pharmaceutical substance.
      Returns:
        ISingleCollection - supplementaryCode

    - #### getTotalDailyDose

          public CQ getTotalDailyDose()

      Retrieves the Total Daily Dose.
      Returns:
        CQ - totalDailyDose

    - #### getMedicationInstanceIdentifier

          public EI getMedicationInstanceIdentifier()

      Retrieves the Medication Instance Identifier This field contains a value that uniquely identifies the medication associated with this segment. Rather than identifying the product to be given, as in RXO-1 Requested Give Code, this field serves to identify the medication in association with the order represented by the segment instance. This identifier is persistent within and across message instances.
      Returns:
        EI - Medication Instance Identifier

    - #### getSegmentInstanceIdentifier

          public EI getSegmentInstanceIdentifier()

      Retrieves the Segment Instance Identifier This field contains a value that uniquely identifies this segment across time and messages.
      Returns:
        EI - Segment Instance Identifier

    - #### getMoodCode

          public CNE getMoodCode()

      Retrieves the Mood Code. This field represents the functional state of the order represented by this segment instance.
      Returns:
        CNE - bcBloodGroup

    - #### getDispensingPharmacy

          public CWE getDispensingPharmacy()

      Retrieves the Dispensing Pharmacy. This field is retained for backward compatibility only as of v 27. The information formerly communicated using this field should now be communicated using the PRT segment.
      Returns:
        CWE - requestedGiveStrengthUnits

    - #### getDispensingPharmacyAddress

          public XAD getDispensingPharmacyAddress()

      Retrieves the Dispensing Pharmacy Address. This field is retained for backward compatibility only as of v 27. The information formerly communicated using this field should now be communicated using the PRT segment.
      Returns:
        XAD - Dispensing Pharmacy Address

    - #### getDeliverToPatientLocation

          public PL getDeliverToPatientLocation()

      Retrieves the Deliver-to Patient Location. This field specifies the location of the patient to whom the pharmaceutical substance is to be delivered.
      Returns:
        PL - bPRequestedDispenseToLocation

    - #### getDeliverToAddress

          public XAD getDeliverToAddress()

      Retrieves the Deliver-to Address. This field specifies the address, either mailing or physical, to which the prescription should be mailed or delivered.
      Returns:
        XAD - Deliver-to Address

    - #### setAllowSubstitutions

          public void setAllowSubstitutions(java.lang.String strAllowSubstitutions)

      Set the Allow Substitutions.
      Parameters:
        `strAllowSubstitutions` - Specifies Allow Substitutions.

    - #### setAllowSubstitutions

          public void setAllowSubstitutions(ID objallowSubstitutions)

      Set the Allow Substitutions.
      Parameters:
        `objallowSubstitutions` - Object of Allow Substitutions.

    - #### setDispensingInterval

          public void setDispensingInterval(java.lang.String strDispensingInterval)

      Set the Dispensing Interval
      Parameters:
        `strDispensingInterval` - Specifies Dispensing Interval.

    - #### setDispensingInterval

          public void setDispensingInterval(NM objdispensingInterval)

      Set the Dispensing Interval.
      Parameters:
        `objdispensingInterval` - Object of Dispensing Interval.

    - #### addIndication

          public void addIndication(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Add the Indication. This field specify the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addIndication

          public void addIndication(CWE objindication)

      Add the Indication. This field specify the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `objindication` - Object of Indication.

    - #### getPharmacyPhoneNumber

          public ISingleCollection<XTN> getPharmacyPhoneNumber()

      Retrieves the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Returns:
        ISingleCollection - Pharmacy Phone Number

    - #### setIndication

          public void setIndication(ISingleCollection<CWE> objindicationList)

      Set the Indication. This field specify the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `objindicationList` - List of Indication.

    - #### setNeedsHumanReview

          public void setNeedsHumanReview(java.lang.String strNeedsHumanReview)

      Set the Needs Human Review. This field uses Yes/No Indicator.
      Parameters:
        `strNeedsHumanReview` - Specifies Needs Human Review.

    - #### setNeedsHumanReview

          public void setNeedsHumanReview(ID objneedsHumanReview)

      Set the Needs Human Review. This field uses Yes/No Indicator.
      Parameters:
        `objneedsHumanReview` - Object of

    - #### setNoOfRefills

          public void setNoOfRefills(java.lang.String strNoOfRefills)

      Set the No Of Refills. This field specify the number of times the request dispense amount can be given to the patient, subject to local regulation.
      Parameters:
        `strNoOfRefills` - Specifies Number Of Refills.

    - #### setNoOfRefills

          public void setNoOfRefills(NM objnoOfRefills)

      Set the No Of Refills. This field specify the number of times the request dispense amount can be given to the patient, subject to local regulation.
      Parameters:
        `objnoOfRefills` - Object of No Of Refills.

    - #### addOrderingProviderDEANo

          public void addOrderingProviderDEANo(java.lang.String strIDNumber,
                                      FN objFamilyName,
                                      java.lang.String strGivenName,
                                      java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                      java.lang.String strSuffix,
                                      java.lang.String strPrefix,
                                      CWE objSourceTable,
                                      HD objAssigningAuthority,
                                      java.lang.String strNameTypeCode,
                                      java.lang.String strIdentifierCheckDigit,
                                      java.lang.String strCheckDigitScheme,
                                      java.lang.String strIdentifierTypeCode,
                                      HD objAssigningFacility,
                                      java.lang.String strNameRepresentationCode,
                                      CWE objNameContext,
                                      java.lang.String strNameAssemblyOrder,
                                      java.lang.String strEffectiveDate,
                                      java.lang.String strExpirationDate,
                                      java.lang.String strProfessionalSuffix,
                                      CWE objAssigningJurisdiction,
                                      CWE objAssigningAgencyOrDepratment,
                                      java.lang.String strSecurityCheck,
                                      java.lang.String strSecurityCheckScheme)

      Add the Ordering Provider DEA No.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addOrderingProviderDEANo

          public void addOrderingProviderDEANo(XCN objorderingProviderDEANo)

      Add the Ordering Provider DEA No.
      Parameters:
        `objorderingProviderDEANo` - Object of Ordering Provider DEA No.

    - #### setOrderingProviderDEANo

          public void setOrderingProviderDEANo(ISingleCollection<XCN> objorderingProviderDEANoList)

      Set the Ordering Provider DEA No.
      Parameters:
        `objorderingProviderDEANoList` - List of Ordering Provider DEA No.

    - #### addPharmacistTreatmentSupplierVerifierID

          public void addPharmacistTreatmentSupplierVerifierID(java.lang.String strIDNumber,
                                                      FN objFamilyName,
                                                      java.lang.String strGivenName,
                                                      java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                                      java.lang.String strSuffix,
                                                      java.lang.String strPrefix,
                                                      CWE objSourceTable,
                                                      HD objAssigningAuthority,
                                                      java.lang.String strNameTypeCode,
                                                      java.lang.String strIdentifierCheckDigit,
                                                      java.lang.String strCheckDigitScheme,
                                                      java.lang.String strIdentifierTypeCode,
                                                      HD objAssigningFacility,
                                                      java.lang.String strNameRepresentationCode,
                                                      CWE objNameContext,
                                                      java.lang.String strNameAssemblyOrder,
                                                      java.lang.String strEffectiveDate,
                                                      java.lang.String strExpirationDate,
                                                      java.lang.String strProfessionalSuffix,
                                                      CWE objAssigningJurisdiction,
                                                      CWE objAssigningAgencyOrDepratment,
                                                      java.lang.String strSecurityCheck,
                                                      java.lang.String strSecurityCheckScheme)

      Add the Pharmacist Treatment Supplier Verifier ID.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addPharmacistTreatmentSupplierVerifierID

          public void addPharmacistTreatmentSupplierVerifierID(XCN objpharmacistTreatmentSupplierVerifierID)

      Add the Pharmacist Treatment Supplier Verifier ID.
      Parameters:
        `objpharmacistTreatmentSupplierVerifierID` - Object of Pharmacist Treatment Supplier Verifier ID.

    - #### setPharmacistTreatmentSupplierVerifierID

          public void setPharmacistTreatmentSupplierVerifierID(ISingleCollection<XCN> objpharmacistTreatmentSupplierVerifierIDList)

      Set the Pharmacist Treatment Supplier Verifier ID.
      Parameters:
        `objpharmacistTreatmentSupplierVerifierIDList` - List of Pharmacist Treatment Supplier Verifier ID.

    - #### setPharmacyOrderType

          public void setPharmacyOrderType(java.lang.String strPharmacyOrderType)

      Set the Pharmacy Order Type. This field specify the general category of pharmacy order which may be used to determine the processing path the order will take.
      Parameters:
        `strPharmacyOrderType` - Specifies Pharmacy Order Type

    - #### setPharmacyOrderType

          public void setPharmacyOrderType(ID objpharmacyOrderType)

      Set the Pharmacy Order Type. This field specify the general category of pharmacy order which may be used to determine the processing path the order will take.
      Parameters:
        `objpharmacyOrderType` - Object of Pharmacy Order Type.

    - #### addProviderPharmacyTreatmentInstructions

          public void addProviderPharmacyTreatmentInstructions(java.lang.String strIdentifier,
                                                      java.lang.String strText,
                                                      java.lang.String strNameOfCodingSystem,
                                                      java.lang.String strAlternateIdentifier,
                                                      java.lang.String strAlternateText,
                                                      java.lang.String strNameOfAlternateCodingSystem,
                                                      java.lang.String strCodingSystemVersionID,
                                                      java.lang.String strAlternateCodingSystemVersionId,
                                                      java.lang.String strOriginalText,
                                                      java.lang.String strSecondAlternateIdentifier,
                                                      java.lang.String strSecondAlternateText,
                                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                                      java.lang.String strCodingSystemOID,
                                                      java.lang.String strValueSetOID,
                                                      java.lang.String strValueSetVersionID,
                                                      java.lang.String strAlternateCodingSystemOID,
                                                      java.lang.String strAlternateValueSetOID,
                                                      java.lang.String strAlternateValueSetVersionID,
                                                      java.lang.String strSecondAlternateCodingSystemOID,
                                                      java.lang.String strSecondAlternateValueSetOID,
                                                      java.lang.String strSecondAlternateValueSetVersionID)

      Add the Provider Pharmacy Treatment Instructions.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addProviderPharmacyTreatmentInstructions

          public void addProviderPharmacyTreatmentInstructions(CWE objproviderPharmacyTreatmentInstructions)

      Add the Provider Pharmacy Treatment Instructions.
      Parameters:
        `objproviderPharmacyTreatmentInstructions` - Object of Provider Pharmacy Treatment Instructions.

    - #### setProviderPharmacyTreatmentInstructions

          public void setProviderPharmacyTreatmentInstructions(ISingleCollection<CWE> objproviderPharmacyTreatmentInstructionsList)

      Set the Provider Pharmacy Treatment Instructions.
      Parameters:
        `objproviderPharmacyTreatmentInstructionsList` - List of Provider Pharmacy Treatment Instructions.

    - #### addProvidersAdministrationInstructions

          public void addProvidersAdministrationInstructions(java.lang.String strIdentifier,
                                                    java.lang.String strText,
                                                    java.lang.String strNameOfCodingSystem,
                                                    java.lang.String strAlternateIdentifier,
                                                    java.lang.String strAlternateText,
                                                    java.lang.String strNameOfAlternateCodingSystem,
                                                    java.lang.String strCodingSystemVersionID,
                                                    java.lang.String strAlternateCodingSystemVersionId,
                                                    java.lang.String strOriginalText,
                                                    java.lang.String strSecondAlternateIdentifier,
                                                    java.lang.String strSecondAlternateText,
                                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                                    java.lang.String strCodingSystemOID,
                                                    java.lang.String strValueSetOID,
                                                    java.lang.String strValueSetVersionID,
                                                    java.lang.String strAlternateCodingSystemOID,
                                                    java.lang.String strAlternateValueSetOID,
                                                    java.lang.String strAlternateValueSetVersionID,
                                                    java.lang.String strSecondAlternateCodingSystemOID,
                                                    java.lang.String strSecondAlternateValueSetOID,
                                                    java.lang.String strSecondAlternateValueSetVersionID)

      Add the Providers Administration Instructions. This field specify the ordering provider's instructions to the patient or to the provider administering the drug or treatment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addProvidersAdministrationInstructions

          public void addProvidersAdministrationInstructions(CWE objprovidersAdministrationInstructions)

      Add the Providers Administration Instructions. This field specify the ordering provider's instructions to the patient or to the provider administering the drug or treatment.
      Parameters:
        `objprovidersAdministrationInstructions` - Object of Providers Administration Instructions.

    - #### setProvidersAdministrationInstructions

          public void setProvidersAdministrationInstructions(ISingleCollection<CWE> objprovidersAdministrationInstructionsList)

      Set the Providers Administration Instructions. This field specify the ordering provider's instructions to the patient or to the provider administering the drug or treatment.
      Parameters:
        `objprovidersAdministrationInstructionsList` - List of Providers Administration Instructions.

    - #### setRequestedDispenseAmount

          public void setRequestedDispenseAmount(java.lang.String strRequestedDispenseAmount)

      Set the Requested Dispense Amount.
      Parameters:
        `strRequestedDispenseAmount` - Specifies Requested Dispense Amount.

    - #### setRequestedDispenseAmount

          public void setRequestedDispenseAmount(NM objrequestedDispenseAmount)

      Set the Requested Dispense Amount.
      Parameters:
        `objrequestedDispenseAmount` - Object of Requested Dispense Amount.

    - #### setRequestedDispenseCode

          public void setRequestedDispenseCode(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Requested Dispense Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRequestedDispenseCode

          public void setRequestedDispenseCode(CWE objrequestedDispenseCode)

      Set the Requested Dispense Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.

    - #### setRequestedDispenseUnits

          public void setRequestedDispenseUnits(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Requested Dispense Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRequestedDispenseUnits

          public void setRequestedDispenseUnits(CWE objrequestedDispenseUnits)

      Set the Requested Dispense Units.
      Parameters:
        `objrequestedDispenseUnits` - Object of Requested Dispense Units.

    - #### setRequestedDosageForm

          public void setRequestedDosageForm(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Requested Dosage Form.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRequestedDosageForm

          public void setRequestedDosageForm(CWE objrequestedDosageForm)

      Set the Requested Dosage Form.
      Parameters:
        `objrequestedDosageForm` - Object of Requested Dosage Form.

    - #### setRequestedDrugStrengthVolume

          public void setRequestedDrugStrengthVolume(java.lang.String strRequestedDrugStrengthVolume)

      Set the Requested Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Parameters:
        `strRequestedDrugStrengthVolume` - Specifies Requested Drug Strength Volume

    - #### setRequestedDrugStrengthVolume

          public void setRequestedDrugStrengthVolume(NM objrequestedDrugStrengthVolume)

      Set the Requested Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Parameters:
        `objrequestedDrugStrengthVolume` - Object of Requested Drug Strength Volume.

    - #### setRequestedDrugStrengthVolumeUnits

          public void setRequestedDrugStrengthVolumeUnits(java.lang.String strIdentifier,
                                                 java.lang.String strText,
                                                 java.lang.String strNameOfCodingSystem,
                                                 java.lang.String strAlternateIdentifier,
                                                 java.lang.String strAlternateText,
                                                 java.lang.String strNameOfAlternateCodingSystem,
                                                 java.lang.String strCodingSystemVersionID,
                                                 java.lang.String strAlternateCodingSystemVersionId,
                                                 java.lang.String strOriginalText,
                                                 java.lang.String strSecondAlternateIdentifier,
                                                 java.lang.String strSecondAlternateText,
                                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                                 java.lang.String strCodingSystemOID,
                                                 java.lang.String strValueSetOID,
                                                 java.lang.String strValueSetVersionID,
                                                 java.lang.String strAlternateCodingSystemOID,
                                                 java.lang.String strAlternateValueSetOID,
                                                 java.lang.String strAlternateValueSetVersionID,
                                                 java.lang.String strSecondAlternateCodingSystemOID,
                                                 java.lang.String strSecondAlternateValueSetOID,
                                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Requested Drug Strength Volume Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRequestedDrugStrengthVolumeUnits

          public void setRequestedDrugStrengthVolumeUnits(CWE objrequestedDrugStrengthVolumeUnits)

      Set the Requested Drug Strength Volume Units.
      Parameters:
        `objrequestedDrugStrengthVolumeUnits` - Object of Requested Drug Strength Volume Units.

    - #### setRequestedGiveAmt_Max

          public void setRequestedGiveAmt_Max(java.lang.String strRequestedGiveAmt_Max)

      Set the Requested Give Amt Max.
      Parameters:
        `strRequestedGiveAmt_Max` - Specifies Requested Give Amount Maximum

    - #### setRequestedGiveAmt_Max

          public void setRequestedGiveAmt_Max(NM objrequestedGiveAmt_Max)

      Set the Requested Give Amt Max.
      Parameters:
        `objrequestedGiveAmt_Max` - Object of Requested Give Amt Max.

    - #### setRequestedGiveAmt_Min

          public void setRequestedGiveAmt_Min(java.lang.String strRequestedGiveAmt_Min)

      Set the Requested Give Amt Min.
      Parameters:
        `strRequestedGiveAmt_Min` - Specifies Requested Give Amount Minimum

    - #### setRequestedGiveAmt_Min

          public void setRequestedGiveAmt_Min(NM objrequestedGiveAmt_Min)

      Set the Requested Give Amt Min.
      Parameters:
        `objrequestedGiveAmt_Min` - Object of Requested Give Amt Min.

    - #### setRequestedGiveCode

          public void setRequestedGiveCode(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Requested Give Code. This field specify the treatment product or treatment ordered to be given to the patient
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRequestedGiveCode

          public void setRequestedGiveCode(CWE objrequestedGiveCode)

      Set the Requested Give Code. This field specify the treatment product or treatment ordered to be given to the patient
      Parameters:
        `objrequestedGiveCode` - Object of Requested Give Code.

    - #### setRequestedGivePer

          public void setRequestedGivePer(java.lang.String strRequestedGivePer)

      Set the Requested Give Per. This field specify the time unit to use to calculate the rate at which the pharmaceutical is to be administered.
      Parameters:
        `strRequestedGivePer` - Specifies Requested Give Per (Time Unit)

    - #### setRequestedGivePer

          public void setRequestedGivePer(ST objrequestedGivePer)

      Set the Requested Give Per. This field specify the time unit to use to calculate the rate at which the pharmaceutical is to be administered.
      Parameters:
        `objrequestedGivePer` - Object of Requested Give Per.

    - #### setRequestedGiveRateAmt

          public void setRequestedGiveRateAmt(java.lang.String strRequestedGiveRateAmt)

      Set the Requested Give Rate Amt.
      Parameters:
        `strRequestedGiveRateAmt` - Specifies Requested Give Per (Time Unit)

    - #### setRequestedGiveRateAmt

          public void setRequestedGiveRateAmt(ST objrequestedGiveRateAmt)

      Set the Requested Give Rate Amt.
      Parameters:
        `objrequestedGiveRateAmt` - Object of Requested Give Rate Amt.

    - #### setRequestedGiveRateUnits

          public void setRequestedGiveRateUnits(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Requested Give Rate Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRequestedGiveRateUnits

          public void setRequestedGiveRateUnits(CWE objrequestedGiveRateUnits)

      Set the Requested Give Rate Units.
      Parameters:
        `objrequestedGiveRateUnits` - Object of Requested Give Rate Units.

    - #### setRequestedGiveStrength

          public void setRequestedGiveStrength(java.lang.String strRequestedGiveStrength)

      Set the Requested Give Strength.
      Parameters:
        `strRequestedGiveStrength` - Specifies Requested Give Strength.

    - #### setRequestedGiveStrength

          public void setRequestedGiveStrength(NM objrequestedGiveStrength)

      Set the Requested Give Strength.
      Parameters:
        `objrequestedGiveStrength` - Object of Requested Give Strength.

    - #### setRequestedGiveStrengthUnits

          public void setRequestedGiveStrengthUnits(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Requested Give Strength Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRequestedGiveStrengthUnits

          public void setRequestedGiveStrengthUnits(CWE objrequestedGiveStrengthUnits)

      Set the Requested Give Strength Units.
      Parameters:
        `objrequestedGiveStrengthUnits` - Object of Requested Give Strength Units.

    - #### setRequestedGiveUnits

          public void setRequestedGiveUnits(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Requested Give Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setRequestedGiveUnits

          public void setRequestedGiveUnits(CWE objrequestedGiveUnits)

      Set the Requested Give Units.
      Parameters:
        `objrequestedGiveUnits` - Object of Requested Give Units.

    - #### addSupplementaryCode

          public void addSupplementaryCode(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Add the Supplementary Code. This field specify that identification of any codes that might be associated with the pharmaceutical substance.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSupplementaryCode

          public void addSupplementaryCode(CWE objsupplementaryCode)

      Add the Supplementary Code. This field specify that identification of any codes that might be associated with the pharmaceutical substance.
      Parameters:
        `objsupplementaryCode` - Object of Supplementary Code.

    - #### setSupplementaryCode

          public void setSupplementaryCode(ISingleCollection<CWE> objsupplementaryCodeList)

      Set the Supplementary Code. This field specify that identification of any codes that might be associated with the pharmaceutical substance.
      Parameters:
        `objsupplementaryCodeList` - List of Supplementary Code.

    - #### setTotalDailyDose

          public void setTotalDailyDose(java.lang.String strQuantity,
                               CWE objUnits)

      Set the Total Daily Dose.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setTotalDailyDose

          public void setTotalDailyDose(CQ objtotalDailyDose)

      Set the Total Daily Dose.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setMedicationInstanceIdentifier

          public void setMedicationInstanceIdentifier(java.lang.String strEntityIdentifier,
                                             java.lang.String strNamespaceId,
                                             java.lang.String strUniversalId,
                                             java.lang.String strUniversalIdType)

      Set the Medication Instance Identifier This field contains a value that uniquely identifies the medication associated with this segment. Rather than identifying the product to be given, as in RXO-1 Requested Give Code, this field serves to identify the medication in association with the order represented by the segment instance. This identifier is persistent within and across message instances.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD. Refer to HL7 Table 0301 - Universal ID type for valid values.

    - #### setMedicationInstanceIdentifier

          public void setMedicationInstanceIdentifier(EI objcpLotNumber)

      Set the Medication Instance Identifier This field contains a value that uniquely identifies the medication associated with this segment. Rather than identifying the product to be given, as in RXO-1 Requested Give Code, this field serves to identify the medication in association with the order represented by the segment instance. This identifier is persistent within and across message instances.
      Parameters:
        `objcpLotNumber` - object of Cp Lot Number.

    - #### setSegmentInstanceIdentifier

          public void setSegmentInstanceIdentifier(java.lang.String strEntityIdentifier,
                                          java.lang.String strNamespaceId,
                                          java.lang.String strUniversalId,
                                          java.lang.String strUniversalIdType)

      Set the Segment Instance Identifier This field contains a value that uniquely identifies this segment across time and messages.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD. Refer to HL7 Table 0301 - Universal ID type for valid values.

    - #### setSegmentInstanceIdentifier

          public void setSegmentInstanceIdentifier(EI objcpLotNumber)

      Set the Medication Instance Identifier This field contains a value that uniquely identifies this segment across time and messages.
      Parameters:
        `objcpLotNumber` - object of Cp Lot Number.

    - #### setMoodCode

          public void setMoodCode(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionID,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameOfSecondAltenateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Mood Code. This field represents the functional state of the order represented by this segment instance.
      Parameters:
        `strIdentifier` - Specifies sequence of characters (the code) that uniquely identifies the item being referenced by the CNE.
        `strText` - Specifies descriptive or textual name of the identifier, e.g., myocardial infarction
        `strNameOfCodingSystem` - Specifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies the local or user seen code as described.
        `strAlternateText` - Specifies descriptive or textual name of the alternate identifier.
        `strNameOfAlternateCodingSystem` - Specifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - Specifies the version ID for the coding system.
        `strAlternateCodingSystemVersionID` - Specifies the version ID for the coding system .
        `strOriginalText` - Specifies the original text that was available to an automated process or a human before a specific code was assigned.
        `strSecondAlternateIdentifier` - Specifies a sequence of characters that uniquely identifies the second alternate code
        `strSecondAlternateText` - Specifies a the textual information of the second alternate code
        `strNameOfSecondAltenateCodingSystem` - Specifies the second coding scheme being used in the identifier component.
        `strSecondAlternateCodingSystemVersionID` - Specifies version ID of Second alternative coding system.
        `strCodingSystemOID` - contains the ISO Object identifier for the coding system.
        `strValueSetOID` - contains the value set from which CNE-1 is obtained
        `strValueSetVersionID` - contains the version of the value set identified by CNE-15.
        `strAlternateCodingSystemOID` - contains the ISO Object identifier for the alternate coding system
        `strAlternateValueSetOID` - contains the value set from which CNE-4 is obtained
        `strAlternateValueSetVersionID` - contains the version of the value set identified by CNE-18.
        `strSecondAlternateCodingSystemOID` - contains the value set from which CNE-12 is obtained
        `strSecondAlternateValueSetOID` - contains the value set from which CNE-10 is obtained
        `strSecondAlternateValueSetVersionID` - contains the version of the value set identified by CNE-21.

    - #### setMoodCode

          public void setMoodCode(CNE objbcBloodGroup)

      Set the Mood Code. This field represents the functional state of the order represented by this segment instance.
      Parameters:
        `objbcBloodGroup` - Object of Bc Blood Group.

    - #### setDispensingPharmacy

          public void setDispensingPharmacy(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Dispensing Pharmacy. This field is retained for backward compatibility only as of v 27. The information formerly communicated using this field should now be communicated using the PRT segment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDispensingPharmacy

          public void setDispensingPharmacy(CWE objrequestedGiveUnits)

      Set the Dispensing Pharmacy. This field is retained for backward compatibility only as of v 27. The information formerly communicated using this field should now be communicated using the PRT segment.
      Parameters:
        `objrequestedGiveUnits` - Object of Requested Give Units.

    - #### setDispensingPharmacyAddress

          public void setDispensingPharmacyAddress(SAD objStreetAddress,
                                          java.lang.String strOtherDesignation,
                                          java.lang.String strCity,
                                          java.lang.String strStateOrProvince,
                                          java.lang.String strZipOrPostalCode,
                                          java.lang.String strCountry,
                                          java.lang.String strAddressType,
                                          java.lang.String strOtherGeographicDesignation,
                                          CWE objCountyParishCode,
                                          CWE objCensusTract,
                                          java.lang.String strAddressRepresentationCode,
                                          DTM objEffectiveDate,
                                          DTM objExpirationDate,
                                          CWE objEXpirationReason,
                                          java.lang.String strTemporaryIndicator,
                                          java.lang.String strBadAddressIndicator,
                                          java.lang.String strAddressUsage,
                                          java.lang.String strAddressee,
                                          java.lang.String strComment,
                                          java.lang.String strPreferenceOrder,
                                          CWE objProtectionCode,
                                          EI objAddressIdentifier)

      Set the Dispensing Pharmacy Address. This field is retained for backward compatibility only as of v 27. The information formerly communicated using this field should now be communicated using the PRT segment.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### setDispensingPharmacyAddress

          public void setDispensingPharmacyAddress(XAD objbPIntendedDispenseFromAddress)

      Set the Dispensing Pharmacy Address. This field is retained for backward compatibility only as of v 27. The information formerly communicated using this field should now be communicated using the PRT segment.
      Parameters:
        `objbPIntendedDispenseFromAddress` - Object of BP Intended Dispense From Address.

    - #### setDeliverToPatientLocation

          public void setDeliverToPatientLocation(HD objPointOfCare,
                                         HD objRoom,
                                         HD objBed,
                                         HD objFacility,
                                         java.lang.String strLocationStatus,
                                         java.lang.String strPersonLocationType,
                                         java.lang.String strBuilding,
                                         java.lang.String strFloor,
                                         java.lang.String strLocationDescription,
                                         EI objComprehensiveLocationIdentifier,
                                         HD objAssigningAuthorityForLocation)

      Set the Deliver-to Patient Location. This field specifies the location of the patient to whom the pharmaceutical substance is to be delivered.
      Parameters:
        `strPointOfCare` - Specifies the code for the point where patient care is administered.
        `strRoom` - Specifies the code for the patient's room.
        `strBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies to site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPersonLocationType` - Specifies the categorization of the person's location defined by facility, building, floor, point of care, room or bed.
        `strBuilding` - Specifies code for the building where the person is located.
        `strFloor` - Specifies the code for the floor where the person is located.
        `strLocationDescription` - Specifies describes the location in free text.
        `objComprehensiveLocationIdentifier` - Specifies represents the physical location as a whole without regard for the individual components.
        `objAssigningAuthorityForLocation` - Specifies the entity that creates the data for the individual physical location components.

    - #### setDeliverToPatientLocation

          public void setDeliverToPatientLocation(PL objbDeliverToPatientLocation)

      Set the Deliver-to Patient Location. This field specifies the location of the patient to whom the pharmaceutical substance is to be delivered.
      Parameters:
        `objbDeliverToPatientLocation` - Object of BP Requested Dispense To Location.

    - #### setDeliverToAddress

          public void setDeliverToAddress(SAD objStreetAddress,
                                 java.lang.String strOtherDesignation,
                                 java.lang.String strCity,
                                 java.lang.String strStateOrProvince,
                                 java.lang.String strZipOrPostalCode,
                                 java.lang.String strCountry,
                                 java.lang.String strAddressType,
                                 java.lang.String strOtherGeographicDesignation,
                                 CWE objCountyParishCode,
                                 CWE objCensusTract,
                                 java.lang.String strAddressRepresentationCode,
                                 DTM objEffectiveDate,
                                 DTM objExpirationDate,
                                 CWE objEXpirationReason,
                                 java.lang.String strTemporaryIndicator,
                                 java.lang.String strBadAddressIndicator,
                                 java.lang.String strAddressUsage,
                                 java.lang.String strAddressee,
                                 java.lang.String strComment,
                                 java.lang.String strPreferenceOrder,
                                 CWE objProtectionCode,
                                 EI objAddressIdentifier)

      Set the Deliver-to Address. This field specifies the address, either mailing or physical, to which the prescription should be mailed or delivered.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### setDeliverToAddress

          public void setDeliverToAddress(XAD objDeliverToAddress)

      Set the BP Deliver-to Address. This field specifies the address, either mailing or physical, to which the prescription should be mailed or delivered.
      Parameters:
        `objDeliverToAddress` - Object of Deliver-to Address.

    - #### addPharmacyPhoneNumber

          public void addPharmacyPhoneNumber(java.lang.String strTeleCommunicationUseCode,
                                    java.lang.String strTeleCommunicationEquipmentType,
                                    java.lang.String strCommuinicationAddress,
                                    java.lang.String strCountryCode,
                                    java.lang.String strAreaCityCode,
                                    java.lang.String strLocalNumber,
                                    java.lang.String strExtension,
                                    java.lang.String strAnyText,
                                    java.lang.String strExtensionPrefix,
                                    java.lang.String strSpeedDialCode,
                                    java.lang.String strUnformattedTelephoneNumber,
                                    java.lang.String strEffectiveStartDate,
                                    java.lang.String strExpirationDate,
                                    CWE objExpirationReason,
                                    CWE objProtectionCode,
                                    EI objSharedTelecommunicationIdentifier,
                                    java.lang.String strPreferenceOrder)

      Set the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addPharmacyPhoneNumber

          public void addPharmacyPhoneNumber(XTN objtempPharmacyPhoneNumber)

      Sets the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Parameters:
        `objtempPharmacyPhoneNumber` - object of PharmacyPhoneNumber.

    - #### setPharmacyPhoneNumber

          public void setPharmacyPhoneNumber(ISingleCollection<XTN> objPharmacyPhoneNumber)

      Set the Pharmacy Phone Number. This field contains the telecommunication contact information for the pharmacy.
      Parameters:
        `objPharmacyPhoneNumber` - List of Phone Number Home.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.